---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: {{ include "common.names.fullname" . }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
      {{- include "common.tplvalues.render" (dict "value" .Values.commonLabels "context" $) | nindent 4 }}
    {{- end }}
  annotations:
    {{- if .Values.commonAnnotations }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
    {{- end }}
    cert-manager.io/issue-temporary-certificate: "true"
spec:
  secretName: {{ include "vault-extras.tlsSecretName" . }}
  issuerRef:
    kind: ClusterIssuer
    name: cloud-dns
  dnsNames:
    {{- toYaml .Values.tls.domains | nindent 4 }}
